body {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url("../back.jpg");
    background-position: center center;
    /* Ruta relativa o completa a la imagen */
    /* Centramos el fondo horizontal y verticalmente */
    background-position: center center;
    /* El fonde no se repite */
    background-repeat: no-repeat;
    /* Fijamos la imagen a la ventana para que no supere el alto de la ventana */
    background-attachment: fixed;
    /* El fonde se re-escala automáticamente */
    background-size: cover;
}

.grid-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-wrap: wrap;
    align-items: stretch;
}

.contenedor {
    width: 100%;
    flex: 0 1 auto;
    margin-top: 30px;
}

div h4 {
    flex: 1 1 auto;
    text-align: center;
}

#exampleFormControlInput1 {
    width: 100%;
    margin: 0;
    align-items: center;
    box-sizing: border-box;
}

form {
    width: 450px;
    margin: auto;
    padding: 10px, 20px;
    box-sizing: border-box;
}

.grid-container {
    background-color: #fbfbfb75;
    margin: auto;
    box-sizing: border-box;
    text-align: center;
    padding: 20px 0;
    /* tamañlo de letra */
    font-size: 20px;
}

.grid-container .contacto {
    flex: 1 1 auto;
    margin: 20px;
}

.grid-container .Micontacto {
    flex: 1 1 auto;
}

@media screen and (max-width:550px) {
    form {
        width: 100%;
    }
    .contenedor {
        flex: 1 1 auto;
    }
}